-- <ScriptOptions statementTerminator="GO" />

DROP TRIGGER RAMSCHEMA.LIC_COUNTS_ADD
GO
DROP TRIGGER RAMSCHEMA.LIC_COUNTS_REMOVE
GO

DROP TRIGGER RAMSCHEMA.ASSET_UPDATED_REC
GO

DROP TRIGGER RAMSCHEMA.ATCM_DELETED
GO

DROP TRIGGER RAMSCHEMA.AT_DELETE
GO

DROP TRIGGER RAMSCHEMA.CL_UPDATED
GO

DROP TRIGGER RAMSCHEMA.FORUM_UPDATE
GO

DROP TRIGGER RAMSCHEMA.FREQ_CHANGED
GO

DROP TRIGGER RAMSCHEMA.FREQ_DFLT_CHANGED
GO

DROP TRIGGER RAMSCHEMA.INSRT_SUBSCRIPTION
GO

DROP TRIGGER RAMSCHEMA.C4245457
GO

DROP TRIGGER RAMSCHEMA.POST_REPLY_FK
GO

DROP TRIGGER RAMSCHEMA.UGR_ROLE_FK
GO

DROP TRIGGER RAMSCHEMA.TOPIC_DELETE
GO

DROP TRIGGER RAMSCHEMA.POST_DELETE
GO

DROP TRIGGER RAMSCHEMA.C0062924
GO

DROP TRIGGER RAMSCHEMA.ART_TGT_ASSET_FK
GO

DROP TRIGGER RAMSCHEMA.ASSETREL_UPDATED
GO

DROP TRIGGER RAMSCHEMA.POST_UPDATE_REC
GO

DROP TRIGGER RAMSCHEMA.TOPIC_UPDATE_REC
GO

ALTER TABLE RAMSCHEMA.ASSET DROP CONSTRAINT ASSET_LIFECYCLE_FK
GO

ALTER TABLE RAMSCHEMA.ASSET DROP CONSTRAINT C7034435
GO

ALTER TABLE RAMSCHEMA.ASSET DROP CONSTRAINT SQL060302161907351
GO

ALTER TABLE RAMSCHEMA.ASSET DROP CONSTRAINT SQL060302161907681
GO

ALTER TABLE RAMSCHEMA.ASSETRELATION_SOURCE DROP CONSTRAINT AR_SRC_ASSET_FK
GO

ALTER TABLE RAMSCHEMA.ASSETRELATION_SOURCE DROP CONSTRAINT AR_STATE_FK
GO

ALTER TABLE RAMSCHEMA.ASSETRELATION_SOURCE DROP CONSTRAINT AR_USER_FK
GO

ALTER TABLE RAMSCHEMA.ASSETRELATION_TARGET DROP CONSTRAINT ART_SRC_REL_FK
GO

ALTER TABLE RAMSCHEMA.ASSETTYPE_COMMUN DROP CONSTRAINT ATCM_ASSETTYPE_FK
GO

ALTER TABLE RAMSCHEMA.ASSETTYPE_COMMUN DROP CONSTRAINT ATCM_COMMUN_FK
GO

ALTER TABLE RAMSCHEMA.ASSETVERSIONHISTORY DROP CONSTRAINT C1003852
GO

ALTER TABLE RAMSCHEMA.BUSY_URIS DROP CONSTRAINT BUSY_U_BUSY_AS_FK
GO

ALTER TABLE RAMSCHEMA.CLASSIFSCH_COMM DROP CONSTRAINT CC_COMMUNITY_FK
GO

ALTER TABLE RAMSCHEMA.CLASSIFSCH_COMM DROP CONSTRAINT CC_SCHEMA_FK
GO

ALTER TABLE RAMSCHEMA.EXTENSION_POINT DROP CONSTRAINT EXT_ASSET_FK
GO

ALTER TABLE RAMSCHEMA.FAVORITE DROP CONSTRAINT FV_USER_FK
GO

ALTER TABLE RAMSCHEMA.FORUM DROP CONSTRAINT FORUM_OWNER_FK
GO

ALTER TABLE RAMSCHEMA.FORUM DROP CONSTRAINT FORUM_PTCONFIG_FK
GO

ALTER TABLE RAMSCHEMA.FORUM_ASSET DROP CONSTRAINT FORUM_ASSET_FK
GO

ALTER TABLE RAMSCHEMA.FORUM_ASSET DROP CONSTRAINT FORUM_AST_FRM_FK
GO

ALTER TABLE RAMSCHEMA.GROUPUSERROLE DROP CONSTRAINT SQL060302161908450
GO

ALTER TABLE RAMSCHEMA.GROUPUSERROLE DROP CONSTRAINT SQL060302161908452
GO

ALTER TABLE RAMSCHEMA.LIBRARY DROP CONSTRAINT L_LIBASSET_FK
GO

ALTER TABLE RAMSCHEMA.LICENSE DROP CONSTRAINT LICENSE_USERID_FK
GO

ALTER TABLE RAMSCHEMA.LIFECYCLE DROP CONSTRAINT LC_COMMUNITY_FK
GO

ALTER TABLE RAMSCHEMA.LIFECYCLE DROP CONSTRAINT LC_MASTER_FK
GO

ALTER TABLE RAMSCHEMA.LIFECYCLE DROP CONSTRAINT LIFECYCLE_ASSET_FK
GO

ALTER TABLE RAMSCHEMA.OAUTH_ACCESSOR DROP CONSTRAINT OAACC_AUTHUSER_FK
GO

ALTER TABLE RAMSCHEMA.OAUTH_ACCESSOR DROP CONSTRAINT OAACC_CONSUMER_FK
GO

ALTER TABLE RAMSCHEMA.OAUTH_REQUESTER DROP CONSTRAINT OAREQ_CONSUMER_FK
GO

ALTER TABLE RAMSCHEMA.POST DROP CONSTRAINT POST_ATTACHMENT_FK
GO

ALTER TABLE RAMSCHEMA.POST DROP CONSTRAINT POST_TOPIC_FK
GO

ALTER TABLE RAMSCHEMA.PTCONFIG DROP CONSTRAINT C7658548
GO

ALTER TABLE RAMSCHEMA.PTCONFIG_UGR DROP CONSTRAINT PTCUG_PTCONFIG_FK
GO

ALTER TABLE RAMSCHEMA.PTCONFIG_UGR DROP CONSTRAINT PTCUG_USERGROUP_FK
GO

ALTER TABLE RAMSCHEMA.PTCONFIG_USER DROP CONSTRAINT C5288775
GO

ALTER TABLE RAMSCHEMA.PTCONFIG_USER DROP CONSTRAINT C8866283
GO

ALTER TABLE RAMSCHEMA.PTQUERY DROP CONSTRAINT C6065876
GO

ALTER TABLE RAMSCHEMA.PTQUERY_FORUM DROP CONSTRAINT PTQF_FORUM_FK
GO

ALTER TABLE RAMSCHEMA.PTQUERY_FORUM DROP CONSTRAINT PTQF_QUERY_FK
GO

ALTER TABLE RAMSCHEMA.PTREPO DROP CONSTRAINT C3934317
GO

ALTER TABLE RAMSCHEMA.REPOSITORYMETRIC DROP CONSTRAINT C7264217
GO

ALTER TABLE RAMSCHEMA.REPOSITORYMETRIC DROP CONSTRAINT SQL060302161908680
GO

ALTER TABLE RAMSCHEMA.REPOSITORYROLE DROP CONSTRAINT C8818139
GO

ALTER TABLE RAMSCHEMA.RESOURCEGROUP DROP CONSTRAINT COMMUNITY_ASSET_FK
GO

ALTER TABLE RAMSCHEMA.REVIEW_PROCESS DROP CONSTRAINT C9952475
GO

ALTER TABLE RAMSCHEMA.SUBSCRIPTION DROP CONSTRAINT C8704685
GO

ALTER TABLE RAMSCHEMA.TAG DROP CONSTRAINT C5102136
GO

ALTER TABLE RAMSCHEMA.TAG DROP CONSTRAINT C7483428
GO

ALTER TABLE RAMSCHEMA.TODO DROP CONSTRAINT C8990529
GO

ALTER TABLE RAMSCHEMA.TODO_TARGET_UGRP DROP CONSTRAINT TO_UGRP_TODO_FK
GO

ALTER TABLE RAMSCHEMA.TODO_TARGET_UGRP DROP CONSTRAINT TO_UGRP_UGRP_FK
GO

ALTER TABLE RAMSCHEMA.TODO_TARGET_USER DROP CONSTRAINT C5745917
GO

ALTER TABLE RAMSCHEMA.TOPIC DROP CONSTRAINT TOPIC_ATTACH_FK
GO

ALTER TABLE RAMSCHEMA.TOPIC DROP CONSTRAINT TOPIC_FORUM_FK
GO

ALTER TABLE RAMSCHEMA.UGRP_RELATIONSHIP DROP CONSTRAINT UGR_ASSET_FK
GO

ALTER TABLE RAMSCHEMA.UGRP_RELATIONSHIP DROP CONSTRAINT UGR_USERGROUP_FK
GO

ALTER TABLE RAMSCHEMA.USERGROUP DROP CONSTRAINT UGR_RESGROUP_FK
GO

ALTER TABLE RAMSCHEMA.USERGROUP_ROLE DROP CONSTRAINT UGR_UGR_FK
GO

ALTER TABLE RAMSCHEMA.USERGROUP_USER DROP CONSTRAINT UGU_UGR_FK
GO

ALTER TABLE RAMSCHEMA.USERGROUP_USER DROP CONSTRAINT UGU_USER_FK
GO

ALTER TABLE RAMSCHEMA.USERRELATIONSHIP DROP CONSTRAINT C5886019
GO

ALTER TABLE RAMSCHEMA.USERRELATIONSHIP DROP CONSTRAINT C6359167
GO

ALTER TABLE RAMSCHEMA.USER_PREFERENCES DROP CONSTRAINT C4134514134
GO

ALTER TABLE RAMSCHEMA.ASSET DROP CONSTRAINT SQL060302161907350
GO

ALTER TABLE RAMSCHEMA.ASSETRELATIONTYPE DROP CONSTRAINT C9171363
GO

ALTER TABLE RAMSCHEMA.ASSETRELATIONTYPE DROP CONSTRAINT RELTYPE_DN
GO

ALTER TABLE RAMSCHEMA.ASSETRELATION_SOURCE DROP CONSTRAINT AR_PK
GO

ALTER TABLE RAMSCHEMA.ASSETTYPE DROP CONSTRAINT SQL060302161906150
GO

ALTER TABLE RAMSCHEMA.ASSETTYPE_COMMUN DROP CONSTRAINT ASSETTYP_COMMUN_PK
GO

ALTER TABLE RAMSCHEMA.ASSETVERSIONHISTORY DROP CONSTRAINT C7220450
GO

ALTER TABLE RAMSCHEMA.ATTACHMENT DROP CONSTRAINT ATTACHMENT_PK
GO

ALTER TABLE RAMSCHEMA.AUTOKEYGEN DROP CONSTRAINT C9766869
GO

ALTER TABLE RAMSCHEMA.BUSY_ASSET DROP CONSTRAINT BUSY_ASSET_PK
GO

ALTER TABLE RAMSCHEMA.CLASSIFSCHEMA DROP CONSTRAINT SQL060302161906350
GO

ALTER TABLE RAMSCHEMA.CLASSIFSCH_COMM DROP CONSTRAINT CLASSIFSCH_COMM_PK
GO

ALTER TABLE RAMSCHEMA.CONFIGURATION DROP CONSTRAINT C9628234
GO

ALTER TABLE RAMSCHEMA.COUNTS DROP CONSTRAINT COUNTS_PK
GO

ALTER TABLE RAMSCHEMA.EXTENSION_POINT DROP CONSTRAINT EXTENSIONPOINT_PK
GO

ALTER TABLE RAMSCHEMA.FAVORITE DROP CONSTRAINT FAVORITES_PK
GO

ALTER TABLE RAMSCHEMA.FORUM DROP CONSTRAINT FORUM_PK
GO

ALTER TABLE RAMSCHEMA.FORUM_ASSET DROP CONSTRAINT FORUM_ASSET_PK
GO

ALTER TABLE RAMSCHEMA.GROUPUSERROLE DROP CONSTRAINT C0012647
GO

ALTER TABLE RAMSCHEMA.JOB_QUEUE DROP CONSTRAINT JOB_QUEUE_PK
GO

ALTER TABLE RAMSCHEMA.LIBRARY DROP CONSTRAINT LIBRARY_CK
GO

ALTER TABLE RAMSCHEMA.LICENSE DROP CONSTRAINT LICENSE_PK
GO

ALTER TABLE RAMSCHEMA.LIFECYCLE DROP CONSTRAINT LIFECYCLE_PK
GO

ALTER TABLE RAMSCHEMA.OAUTH_ACCESSOR DROP CONSTRAINT OAACC_PK
GO

ALTER TABLE RAMSCHEMA.OAUTH_CONSUMER DROP CONSTRAINT OACONSUMER_PK
GO

ALTER TABLE RAMSCHEMA.OAUTH_REQUESTER DROP CONSTRAINT OAREQ_PK
GO

ALTER TABLE RAMSCHEMA.POST DROP CONSTRAINT POST_PK
GO

ALTER TABLE RAMSCHEMA.PTCONFIG DROP CONSTRAINT C3648890
GO

ALTER TABLE RAMSCHEMA.PTCONFIG_UGR DROP CONSTRAINT PTCONFIG_UGR_PK
GO

ALTER TABLE RAMSCHEMA.PTCONFIG_USER DROP CONSTRAINT C6415283
GO

ALTER TABLE RAMSCHEMA.PTQUERY DROP CONSTRAINT C0491965
GO

ALTER TABLE RAMSCHEMA.PTQUERY_FORUM DROP CONSTRAINT PT_QUERY_FORUM_PK
GO

ALTER TABLE RAMSCHEMA.PTREPO DROP CONSTRAINT C0201947
GO

ALTER TABLE RAMSCHEMA.REPOSITORYMETRIC DROP CONSTRAINT C4752929
GO

ALTER TABLE RAMSCHEMA.REPOSITORYROLE DROP CONSTRAINT SQL060302161905930
GO

ALTER TABLE RAMSCHEMA.RESOURCEGROUP DROP CONSTRAINT SQL060302161904960
GO

ALTER TABLE RAMSCHEMA.REVIEW_PROCESS DROP CONSTRAINT C3977115
GO

ALTER TABLE RAMSCHEMA.STALECACHE DROP CONSTRAINT C3686525
GO

ALTER TABLE RAMSCHEMA.STATE DROP CONSTRAINT SQL060302161905260
GO

ALTER TABLE RAMSCHEMA.SUBSCRIPTION DROP CONSTRAINT C9854034
GO

ALTER TABLE RAMSCHEMA.TAG DROP CONSTRAINT C3930063
GO

ALTER TABLE RAMSCHEMA.TAG_MQT DROP CONSTRAINT TAG_MQT_PK
GO

ALTER TABLE RAMSCHEMA.TODO DROP CONSTRAINT C6295873
GO

ALTER TABLE RAMSCHEMA.TODO_TARGET_UGRP DROP CONSTRAINT TODO_TRGT_UGRP_PK
GO

ALTER TABLE RAMSCHEMA.TODO_TARGET_USER DROP CONSTRAINT C8444015
GO

ALTER TABLE RAMSCHEMA.TOPIC DROP CONSTRAINT TOPIC_PK
GO

ALTER TABLE RAMSCHEMA.UGRP_RELATIONSHIP DROP CONSTRAINT UGR_PK
GO

ALTER TABLE RAMSCHEMA.USERGROUP DROP CONSTRAINT USERGROUP_PK
GO

ALTER TABLE RAMSCHEMA.USERGROUP_ROLE DROP CONSTRAINT USERGROUPROLE_PK
GO

ALTER TABLE RAMSCHEMA.USERGROUP_USER DROP CONSTRAINT USERGROUP_USER_PK
GO

ALTER TABLE RAMSCHEMA.USERID DROP CONSTRAINT SQL060302161905480
GO

ALTER TABLE RAMSCHEMA.USERRELATIONSHIP DROP CONSTRAINT C3386788
GO

ALTER TABLE RAMSCHEMA.USER_PREFERENCES DROP CONSTRAINT C12341234
GO

DROP INDEX ART_ID_NDX ON RAMSCHEMA.ASSETRELATION_TARGET 
GO

DROP INDEX ART_TGT_ASSET_NDX ON RAMSCHEMA.ASSETRELATION_TARGET 
GO

DROP INDEX AR_EXTID_NDX ON RAMSCHEMA.ASSETRELATION_SOURCE 
GO

DROP INDEX AR_SRC_ASSET_NDX ON RAMSCHEMA.ASSETRELATION_SOURCE 
GO

DROP INDEX ASSETTYPE_URI_IDX ON RAMSCHEMA.ASSETTYPE 
GO

DROP INDEX ASSET_ART_LSTDIRTY ON RAMSCHEMA.ASSET 
GO

DROP INDEX ASSET_COMMUN_TYPE ON RAMSCHEMA.ASSET 
GO

DROP INDEX ASSET_EXTID ON RAMSCHEMA.ASSET 
GO

DROP INDEX ASSET_LAST_DIRTY ON RAMSCHEMA.ASSET 
GO

DROP INDEX ASTVERHSTRY_ASTID ON RAMSCHEMA.ASSETVERSIONHISTORY 
GO

DROP INDEX BUSY_URIS_NDX ON RAMSCHEMA.BUSY_URIS 
GO

DROP INDEX CLSCHEMA_LSTMOD ON RAMSCHEMA.CLASSIFSCHEMA 
GO

DROP INDEX COMMUNITY_NDX ON RAMSCHEMA.LIFECYCLE 
GO

DROP INDEX EXT_POINT_BY_TYPE ON RAMSCHEMA.EXTENSION_POINT 
GO

DROP INDEX FA_ASSET_FORUM_IDX ON RAMSCHEMA.FORUM_ASSET 
GO

DROP INDEX FV_USER_NDX ON RAMSCHEMA.FAVORITE 
GO

DROP INDEX JQ_SEARCH_NDX ON RAMSCHEMA.JOB_QUEUE 
GO

DROP INDEX LIB_MODEL_IDX ON RAMSCHEMA.LIBRARY 
GO

DROP INDEX LIB_NDX ON RAMSCHEMA.LIBRARY 
GO

DROP INDEX LIC_LICENSE_NDX ON RAMSCHEMA.LICENSE 
GO

DROP INDEX MASTER_NDX ON RAMSCHEMA.LIFECYCLE 
GO

DROP INDEX METRICS_ASSET ON RAMSCHEMA.REPOSITORYMETRIC 
GO

DROP INDEX METRIC_BY_ASSET ON RAMSCHEMA.REPOSITORYMETRIC 
GO

DROP INDEX OAACC_KEY_USER ON RAMSCHEMA.OAUTH_ACCESSOR 
GO

DROP INDEX OACON_FRIENDURL ON RAMSCHEMA.OAUTH_CONSUMER 
GO

DROP INDEX POST_ATTACHMENT ON RAMSCHEMA.POST 
GO

DROP INDEX POST_REPLY ON RAMSCHEMA.POST 
GO

DROP INDEX POST_TOPIC ON RAMSCHEMA.POST 
GO

DROP INDEX PTCNF_BY_REPO ON RAMSCHEMA.PTCONFIG 
GO

DROP INDEX PTQF_BY_FORUM ON RAMSCHEMA.PTQUERY_FORUM 
GO

DROP INDEX PTQUERY_BY_CNF ON RAMSCHEMA.PTQUERY 
GO

DROP INDEX PTREPO_BY_GRP ON RAMSCHEMA.PTREPO 
GO

DROP INDEX REVIEW_ORDER ON RAMSCHEMA.REVIEW_PROCESS 
GO

DROP INDEX ROLE_RESGROUPID ON RAMSCHEMA.REPOSITORYROLE 
GO

DROP INDEX STATE_ID ON RAMSCHEMA.STATE 
GO

DROP INDEX SUBSCRB_TYP_ID_FRQ ON RAMSCHEMA.SUBSCRIPTION 
GO

DROP INDEX SUBSCRB_UID ON RAMSCHEMA.SUBSCRIPTION 
GO

DROP INDEX TAGS ON RAMSCHEMA.TAG 
GO

DROP INDEX TAGS_ASSET_TAG ON RAMSCHEMA.TAG 
GO

DROP INDEX TAGS_USER ON RAMSCHEMA.TAG 
GO

DROP INDEX TAG_LAST_UNIQ_NDX ON RAMSCHEMA.TAG_MQT 
GO

DROP INDEX TAG_LSTCRTD_NDX ON RAMSCHEMA.TAG_MQT 
GO

DROP INDEX TODO_TARGET_UGRPS ON RAMSCHEMA.TODO_TARGET_UGRP 
GO

DROP INDEX TODO_TARGET_USERS ON RAMSCHEMA.TODO_TARGET_USER 
GO

DROP INDEX TOPIC_ATTACHMENT ON RAMSCHEMA.TOPIC 
GO

DROP INDEX TOPIC_FORUM ON RAMSCHEMA.TOPIC 
GO

DROP INDEX UGRPREL_UGRP ON RAMSCHEMA.UGRP_RELATIONSHIP 
GO

DROP INDEX UGU_UG_US_NDX ON RAMSCHEMA.USERGROUP_USER 
GO

DROP INDEX UG_RESGROUPID ON RAMSCHEMA.USERGROUP 
GO

DROP INDEX UREL_UID ON RAMSCHEMA.USERRELATIONSHIP 
GO

DROP INDEX USER_USERID ON RAMSCHEMA.USERID 
GO

DROP INDEX U_LOGINID_UNDX ON RAMSCHEMA.USERID 
GO

DROP VIEW RAMSCHEMA.ASSET_RELATIONS
GO

DROP TABLE RAMSCHEMA.ASSET
GO

DROP TABLE RAMSCHEMA.ASSETRELATIONTYPE
GO

DROP TABLE RAMSCHEMA.ASSETRELATION_SOURCE
GO

DROP TABLE RAMSCHEMA.ASSETRELATION_TARGET
GO

DROP TABLE RAMSCHEMA.ASSETTYPE
GO

DROP TABLE RAMSCHEMA.ASSETTYPE_COMMUN
GO

DROP TABLE RAMSCHEMA.ASSETVERSIONHISTORY
GO

DROP TABLE RAMSCHEMA.ATTACHMENT
GO

DROP TABLE RAMSCHEMA.AUTOKEYGEN
GO

DROP TABLE RAMSCHEMA.BUSY_ASSET
GO

DROP TABLE RAMSCHEMA.BUSY_URIS
GO

DROP TABLE RAMSCHEMA.CLASSIFSCHEMA
GO

DROP TABLE RAMSCHEMA.CLASSIFSCH_COMM
GO

DROP TABLE RAMSCHEMA.CONFIGURATION
GO

DROP TABLE RAMSCHEMA.COUNTS
GO

DROP TABLE RAMSCHEMA.EXTENSION_POINT
GO

DROP TABLE RAMSCHEMA.FAVORITE
GO

DROP TABLE RAMSCHEMA.FORUM
GO

DROP TABLE RAMSCHEMA.FORUM_ASSET
GO

DROP TABLE RAMSCHEMA.GROUPUSERROLE
GO

DROP TABLE RAMSCHEMA.JOB_QUEUE
GO

DROP TABLE RAMSCHEMA.LIBRARY
GO

DROP TABLE RAMSCHEMA.LICENSE
GO

DROP TABLE RAMSCHEMA.LIFECYCLE
GO

DROP TABLE RAMSCHEMA.OAUTH_ACCESSOR
GO

DROP TABLE RAMSCHEMA.OAUTH_CONSUMER
GO

DROP TABLE RAMSCHEMA.OAUTH_REQUESTER
GO

DROP TABLE RAMSCHEMA.POST
GO

DROP TABLE RAMSCHEMA.PTCONFIG
GO

DROP TABLE RAMSCHEMA.PTCONFIG_UGR
GO

DROP TABLE RAMSCHEMA.PTCONFIG_USER
GO

DROP TABLE RAMSCHEMA.PTQUERY
GO

DROP TABLE RAMSCHEMA.PTQUERY_FORUM
GO

DROP TABLE RAMSCHEMA.PTREPO
GO

DROP TABLE RAMSCHEMA.REPOSITORYMETRIC
GO

DROP TABLE RAMSCHEMA.REPOSITORYROLE
GO

DROP TABLE RAMSCHEMA.RESOURCEGROUP
GO

DROP TABLE RAMSCHEMA.REVIEW_PROCESS
GO

DROP TABLE RAMSCHEMA.STALECACHE
GO

DROP TABLE RAMSCHEMA.STATE
GO

DROP TABLE RAMSCHEMA.SUBSCRIPTION
GO

DROP TABLE RAMSCHEMA.TAG
GO

DROP TABLE RAMSCHEMA.TAG_MQT
GO

DROP TABLE RAMSCHEMA.TODO
GO

DROP TABLE RAMSCHEMA.TODO_TARGET_UGRP
GO

DROP TABLE RAMSCHEMA.TODO_TARGET_USER
GO

DROP TABLE RAMSCHEMA.TOPIC
GO

DROP TABLE RAMSCHEMA.UGRP_RELATIONSHIP
GO

DROP TABLE RAMSCHEMA.USERGROUP
GO

DROP TABLE RAMSCHEMA.USERGROUP_ROLE
GO

DROP TABLE RAMSCHEMA.USERGROUP_USER
GO

DROP TABLE RAMSCHEMA.USERID
GO

DROP TABLE RAMSCHEMA.USERRELATIONSHIP
GO

DROP TABLE RAMSCHEMA.USER_PREFERENCES
GO

DROP SCHEMA RAMSCHEMA
GO

CREATE SCHEMA RAMSCHEMA
GO

CREATE TABLE RAMSCHEMA.ASSET (
		ID int NOT NULL,
		ASSETTYPEID int,
		NAME nvarchar(500),
		VERSION nvarchar(80) NOT NULL,
		EXTERNALID nvarchar(80) NOT NULL,
		STORAGE_URI nvarchar(1000),
		RESOURCEGROUP int NOT NULL,
		MANAGEMENT_STYLE int NOT NULL DEFAULT 0,
		ROW_VERSION int NOT NULL DEFAULT 262147,
		PENDING_CTRL_FLAG smallint NOT NULL DEFAULT 0,
		PENDING_STATUS smallint NOT NULL,
		A_LCID nvarchar(100),
		STATEID int,
		ARTIFACT_DETAILS nvarchar(max),
		LAST_ARTIFACTS_DIRTY datetime,
		PERSIST_COUNT int NOT NULL DEFAULT 0,
		LAST_MODIFIED datetime NOT NULL,
		MANIFEST nvarchar(max) NOT NULL DEFAULT '<?xml version="1.0" encoding="UTF-8"?><xmi:XMI xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI"/>',
		REVISION_COUNT int NOT NULL DEFAULT 0,
		A_INLINE_FLAGS bigint NOT NULL DEFAULT 0,
		A_INLINE_CC int NOT NULL DEFAULT 0,
		LAST_DIRTY datetime NOT NULL DEFAULT CURRENT_TIMESTAMP
	)
	
GO

CREATE TABLE RAMSCHEMA.ASSETRELATIONTYPE (
		NAME nvarchar(128) NOT NULL,
		DISPLAY_NAME nvarchar(128) NOT NULL,
		REVERSE_NAME nvarchar(128)
	)
	
GO

CREATE TABLE RAMSCHEMA.ASSETRELATION_SOURCE (
		AR_ID int NOT NULL identity ,
		AR_TGT_RELTYPE nvarchar(128) NOT NULL,
		AR_EXTERNALID nvarchar(80) NOT NULL,
		AR_VERSION nvarchar(80),
		AR_RANGETYPE nchar(1),
		AR_SRC_ASSET int NOT NULL,
		AR_USER int NOT NULL,
		AR_CREATED datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
		AR_STATE int NOT NULL,
		AR_CC int NOT NULL DEFAULT 0,
		AR_MODIFIED datetime NOT NULL DEFAULT CURRENT_TIMESTAMP
	)
	
GO

CREATE TABLE RAMSCHEMA.ASSETRELATION_TARGET (
		ART_ID int NOT NULL,
		ART_ASSET int NOT NULL,
		ART_ESTABLISHED nchar(1) NOT NULL DEFAULT '0'
	)
	
GO

CREATE TABLE RAMSCHEMA.ASSETTYPE (
		ID int NOT NULL,
		NAME nvarchar(125) NOT NULL,
		VERSION nvarchar(80),
		URI nvarchar(256) NOT NULL,
		DESCRIPTION nvarchar(512),
		CONFIGURATION nvarchar(max),
		RESTRICTED nchar(1),
		AT_COLLISION int NOT NULL DEFAULT 0,
		AT_ATTR_CONTAINER nvarchar(440) DEFAULT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.ASSETTYPE_COMMUN (
		ATCM_ASSETTYPEID int NOT NULL,
		ATCM_COMMUNID int NOT NULL,
		ATCM_DESCRIPTION nvarchar(512),
		ATCM_CONFIGURATION nvarchar(max),
		ATCM_LOCAL nchar(1),
		ATCM_COLLISION int NOT NULL DEFAULT 0,
		ATCM_ATTR_CONTAINER nvarchar(440) DEFAULT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.ASSETVERSIONHISTORY (
		EXTERNALID nvarchar(80) NOT NULL,
		VERSION nvarchar(80) NOT NULL,
		ASSETID int NOT NULL,
		AVH_SUBMISSION nchar(1) NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.ATTACHMENT (
		A_ID bigint NOT NULL,
		A_NAME nvarchar(500) NOT NULL,
		A_DESCRIPTION nvarchar(2000),
		A_FILE_URI nvarchar(1000)
	)
	
GO

CREATE TABLE RAMSCHEMA.AUTOKEYGEN (
		IDENTIFIER int NOT NULL DEFAULT 1,
		NEXT_USER int NOT NULL DEFAULT 1000,
		NEXT_RESOURCEGROUP int NOT NULL DEFAULT 1000,
		NEXT_REPOSITORYROLE int NOT NULL DEFAULT 1000,
		NEXT_ASSET int NOT NULL DEFAULT 1000,
		NEXT_ASSETTYPE int NOT NULL DEFAULT 1000,
		NEXT_STATE int NOT NULL DEFAULT 1000,
		NEXT_METRIC bigint NOT NULL DEFAULT 1000,
		NEXT_REVIEW_PROCESS int NOT NULL DEFAULT 1000,
		NEXT_TAG int NOT NULL DEFAULT 1000,
		NEXT_PTREPOQQ int NOT NULL DEFAULT 1000,
		NEXT_PTREPO int NOT NULL DEFAULT 1000,
		NEXT_PTCONFIG int NOT NULL DEFAULT 1000,
		NEXT_PTQUERY int NOT NULL DEFAULT 1000,
		NEXT_USERGROUP int NOT NULL DEFAULT 1000,
		NEXT_FORUM int NOT NULL DEFAULT 1000,
		NEXT_TOPIC int NOT NULL DEFAULT 1000,
		NEXT_POST bigint NOT NULL DEFAULT 1000,
		NEXT_ATTACHMENT bigint NOT NULL DEFAULT 1000,
		NEXT_EXTENSION_POINT int NOT NULL DEFAULT 1000,
		NEXT_SUBSCRIPTION int NOT NULL DEFAULT 1000,
		NEXT_FAVORITE int NOT NULL DEFAULT 1000
	)
	
GO

CREATE TABLE RAMSCHEMA.BUSY_ASSET (
		BA_ASSETID int NOT NULL,
		BA_TYPE nchar(1) NOT NULL,
		BA_TIME datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
		BA_SERVER nvarchar(500)
	)
	
GO

CREATE TABLE RAMSCHEMA.BUSY_URIS (
		BAU_ASSETID int NOT NULL,
		BAU_URI nvarchar(1000) NOT NULL,
		BAU_JQ_CAT nvarchar(100),
		BAU_JQ_SUBCAT nvarchar(200),
		BAU_JQ_NUMBER bigint
	)
	
GO

CREATE TABLE RAMSCHEMA.CLASSIFSCHEMA (
		URI nvarchar(440) NOT NULL,
		NAME nvarchar(256),
		LAST_MODIFIED datetime NOT NULL,
		CL_SCHEMA nvarchar(max) NOT NULL DEFAULT '<?xml version="1.0" encoding="UTF-8"?><xmi:XMI xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI"/>',
		FRAGMENT nvarchar(100) NOT NULL,
		CL_COLLISION int NOT NULL,
		CL_SHARED int NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.CLASSIFSCH_COMM (
		CC_SCHEMA nvarchar(440) NOT NULL,
		CC_COMMUNITY int NOT NULL,
		CC_ACCESSKIND int NOT NULL,
		CC_COLLISION int NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.CONFIGURATION (
		CONFIG_KEY nvarchar(256) NOT NULL,
		VALUE nvarchar(3072)
	)
	
GO

CREATE TABLE RAMSCHEMA.COUNTS (
		CNT_KEY nvarchar(256) NOT NULL,
		CNT_VALUE bigint NOT NULL DEFAULT 0
	)
	
GO

CREATE TABLE RAMSCHEMA.EXTENSION_POINT (
		ID int NOT NULL,
		TYPE int NOT NULL,
		NAME nvarchar(500) NOT NULL,
		CONFIGURATION nvarchar(max),
		COLLISION int NOT NULL,
		EXT_ASSETID int DEFAULT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.FAVORITE (
		FV_ID int NOT NULL,
		FV_USERID int NOT NULL,
		FV_TITLE nvarchar(500),
		FV_ORDER FLOAT(5) NOT NULL DEFAULT 0.0,
		FV_TYPE int NOT NULL DEFAULT 0,
		FV_IMG_MIMETYPE nvarchar(50),
		FV_IMAGE varbinary(max),
		FV_DATA_MIMETYPE nvarchar(50),
		FV_DATA nvarchar(max),
		FV_COLLISION int NOT NULL DEFAULT 0
	)
	
GO

CREATE TABLE RAMSCHEMA.FORUM (
		F_ID int NOT NULL,
		F_NAME nvarchar(512) NOT NULL,
		F_OWNER int NOT NULL,
		F_UPDATED datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
		F_PT_CONFIGID int,
		F_DESCRIPTION nvarchar(3000),
		F_METADATA nvarchar(max),
		F_PRIVATE nchar(1) DEFAULT NULL,
		F_COLLISION int NOT NULL DEFAULT 0
	)
	
GO

CREATE TABLE RAMSCHEMA.FORUM_ASSET (
		FA_FORUM int NOT NULL,
		FA_ASSET int NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.GROUPUSERROLE (
		USERID int NOT NULL,
		REPOSITORYROLEID int NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.JOB_QUEUE (
		JQ_CATEGORY nvarchar(100) NOT NULL,
		JQ_SUBCATEGORY nvarchar(200) NOT NULL DEFAULT ' ',
		JQ_NUMBER bigint NOT NULL identity ,
		JQ_LONGDATA nvarchar(max),
		JQ_SHORT nvarchar(1000),
		JQ_PROGRESS datetime,
		JQ_SERVER nvarchar(500),
		JQ_RUN_AFTER datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
		JQ_COLLISION int NOT NULL DEFAULT 1
	)
	
GO

CREATE TABLE RAMSCHEMA.LIBRARY (
		L_LIBASSETID int NOT NULL,
		L_ITEMTYPE int NOT NULL,
		L_DBID int DEFAULT NULL,
		L_DBVCID nvarchar(440) DEFAULT NULL,
		L_MODEL_OFFSET int NOT NULL,
		L_MODIFIED smallint NOT NULL DEFAULT 0,
		L_MODTIMESTAMP datetime NOT NULL DEFAULT CURRENT_TIMESTAMP
	)
	
GO

CREATE TABLE RAMSCHEMA.LICENSE (
		LIC_USER int NOT NULL,
		LIC_LICENSE nvarchar(100) NOT NULL,
		LIC_LAST_ALLOCATE datetime  NOT NULL DEFAULT CONVERT(datetime, '1990-01-01 00:00:00', 120)
	)
	
GO

CREATE TABLE RAMSCHEMA.LIFECYCLE (
		LC_ID nvarchar(100) NOT NULL,
		LC_XML nvarchar(max) NOT NULL,
		LC_ASSET int,
		LC_LASTMOD datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
		LC_NAME nvarchar(1000) NOT NULL,
		LC_COLLISION int NOT NULL DEFAULT 0,
		LC_COMMUNITYID int,
		LC_COMM_ORDER int NOT NULL DEFAULT -1,
		LC_KIND int NOT NULL DEFAULT 0,
		LC_MASTER nvarchar(100)
	)
	
GO

CREATE TABLE RAMSCHEMA.OAUTH_ACCESSOR (
		ACCESS_TOKEN nvarchar(100) NOT NULL,
		CONSUMER_KEY nvarchar(100) NOT NULL,
		AUTHORIZED_FOR_USER int NOT NULL,
		CREATED datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
		ACCESSED datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
		ACCESSOR varbinary(2000) NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.OAUTH_CONSUMER (
		CONSUMER_KEY nvarchar(100) NOT NULL,
		PENDING smallint NOT NULL DEFAULT 0,
		FRIEND_URL nvarchar(400) NOT NULL,
		CC int DEFAULT 0,
		CONSUMER varbinary(2000) NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.OAUTH_REQUESTER (
		REQUEST_TOKEN nvarchar(100) NOT NULL,
		CONSUMER_KEY nvarchar(100) NOT NULL,
		CREATED datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
		PROCESSED smallint DEFAULT 0,
		REQUESTOR varbinary(2000) NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.POST (
		P_ID bigint NOT NULL,
		P_BODY nvarchar(max) NOT NULL,
		P_REPLY_TO bigint,
		P_AUTHOR int NOT NULL,
		P_CREATED datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
		P_UPDATED datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
		P_TOPIC int NOT NULL,
		P_METADATA nvarchar(max),
		P_ATTACHMENT bigint,
		P_COLLISION int NOT NULL DEFAULT 0
	)
	
GO

CREATE TABLE RAMSCHEMA.PTCONFIG (
		PTC_ID int NOT NULL,
		PTC_NAME nvarchar(256) NOT NULL,
		PTC_DESCRIPTION nvarchar(2000),
		PTC_REPOID int NOT NULL,
		PTC_METADATA nvarchar(max) NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.PTCONFIG_UGR (
		PTCUG_CONFIGID int NOT NULL,
		PTCUG_UGRPID int NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.PTCONFIG_USER (
		PTCU_USERID int NOT NULL,
		PTCU_CONFIGID int NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.PTQUERY (
		PTQ_ID int NOT NULL,
		PTQ_NAME nvarchar(256) NOT NULL,
		PTQ_DESCRIPTION nvarchar(2000),
		PTQ_CONFIG_ID int NOT NULL,
		PTQ_METADATA nvarchar(max) NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.PTQUERY_FORUM (
		PTQF_QUERYID int NOT NULL,
		PTQF_FORUMID int NOT NULL,
		PTQF_DISPLAY_ORDER int NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.PTREPO (
		PTR_ID int NOT NULL,
		PTR_NAME nvarchar(256) NOT NULL,
		PTR_DESCRIPTION nvarchar(2000),
		PTR_TYPE int NOT NULL,
		PTR_GROUPID int NOT NULL,
		PTR_OWNERID int,
		PTR_METADATA nvarchar(max) NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.REPOSITORYMETRIC (
		ASSETID int,
		TIME_STAMP datetime NOT NULL,
		USERID int,
		METRICTYPE int NOT NULL,
		NUMBER_DATA bigint,
		STRING_DATA nvarchar(1024),
		ID bigint NOT NULL,
		LARGE_STRING_DATA nvarchar(max),
		COLLISION int NOT NULL DEFAULT 0
	)
	
GO

CREATE TABLE RAMSCHEMA.REPOSITORYROLE (
		ID int NOT NULL,
		NAME nvarchar(80) NOT NULL,
		RESOURCEGROUPID int NOT NULL,
		TEST_DATA nvarchar(3000),
		ROLE_TYPE int NOT NULL DEFAULT 0,
		DESCRIPTION nvarchar(512),
		RR_RELATE_KIND bigint NOT NULL DEFAULT 8,
		RR_ENTITLEMENT bigint NOT NULL DEFAULT 0
	)
	
GO

CREATE TABLE RAMSCHEMA.RESOURCEGROUP (
		ID int NOT NULL,
		NAME nvarchar(80) NOT NULL,
		DESCRIPTION nvarchar(1000),
		COMMUNITY_ASSETID int
	)
	
GO

CREATE TABLE RAMSCHEMA.REVIEW_PROCESS (
		GROUPID int NOT NULL,
		ORDER_IN_GROUP float NOT NULL,
		REVIEW_INFO nvarchar(max),
		ID int NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.STALECACHE (
		STALE_KEY nvarchar(100) NOT NULL,
		STALE_TIMESTAMP datetime NOT NULL,
		SHORTDATA nvarchar(100),
		LONGDATA nvarchar(max),
		COLLISION int NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.STATE (
		ID int NOT NULL,
		NAME nvarchar(80) NOT NULL,
		STATE_WF_ID nvarchar(450) NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.SUBSCRIPTION (
		USERID int NOT NULL,
		CREATED datetime NOT NULL,
		SUBSCRIPTION_TYPE int NOT NULL,
		NAME nvarchar(256) NOT NULL,
		LAST_RUN datetime,
		PARAMETERS nvarchar(1024),
		FREQUENCY int NOT NULL DEFAULT 0,
		FREQ_DEFAULTED nchar(1) DEFAULT NULL,
		DBID bigint NOT NULL,
		SUB_ID int NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.TAG (
		ID int NOT NULL,
		ASSET_ID int NOT NULL,
		USER_ID int NOT NULL,
		LABEL nvarchar(64) NOT NULL,
		TAG nvarchar(64) NOT NULL,
		CREATED datetime NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.TAG_MQT (
		MQTTAG_TAG nvarchar(64) NOT NULL,
		MQTTAG_FIRSTCREATED datetime NOT NULL,
		MQTTAG_LASTCREATED datetime NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.TODO (
		REQUESTING_USER int NOT NULL,
		TYPE int NOT NULL,
		ACTION_LINK nvarchar(440) NOT NULL,
		DESCRIPTION nvarchar(4000) NOT NULL,
		CREATED datetime NOT NULL,
		COMPLETED datetime,
		COMPLETED_COMMENT nvarchar(4000)
	)
	
GO

CREATE TABLE RAMSCHEMA.TODO_TARGET_UGRP (
		TODO_TG_REQ_USER int NOT NULL,
		TODO_TG_TYPE int NOT NULL,
		TODO_TG_LINK nvarchar(440) NOT NULL,
		TG_USERGROUP int NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.TODO_TARGET_USER (
		TODO_TU_REQ_USER int NOT NULL,
		TODO_TU_TYPE int NOT NULL,
		TODO_TU_LINK nvarchar(440) NOT NULL,
		TU_USERID int NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.TOPIC (
		T_ID int NOT NULL,
		T_SUBJECT nvarchar(1000) NOT NULL,
		T_FORUMID int NOT NULL,
		T_AUTHOR int NOT NULL,
		T_UPDATED datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
		T_BODY nvarchar(max) NOT NULL,
		T_METADATA nvarchar(max),
		T_ATTACHMENT bigint,
		T_COLLISION int NOT NULL DEFAULT 0
	)
	
GO

CREATE TABLE RAMSCHEMA.UGRP_RELATIONSHIP (
		ASSETID int NOT NULL,
		USERGROUPID int NOT NULL,
		KIND int NOT NULL,
		UGR_RESTRICT bigint NOT NULL DEFAULT 0
	)
	
GO

CREATE TABLE RAMSCHEMA.USERGROUP (
		ID int NOT NULL,
		NAME nvarchar(80) NOT NULL,
		DESCRIPTION nvarchar(3000),
		TYPE int NOT NULL DEFAULT 0,
		BINDINGID nvarchar(200),
		RESOURCEGROUPID int NOT NULL,
		UG_COLLISION int NOT NULL DEFAULT 0
	)
	
GO

CREATE TABLE RAMSCHEMA.USERGROUP_ROLE (
		USERGROUPID int NOT NULL,
		ROLEID int NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.USERGROUP_USER (
		USERID int NOT NULL,
		USERGROUPID int NOT NULL,
		UGU_CONTROL_COUNTER int NOT NULL DEFAULT 0
	)
	
GO

CREATE TABLE RAMSCHEMA.USERID (
		ID int NOT NULL,
		NAME nvarchar(80) NOT NULL,
		EMAIL nvarchar(80),
		PHONE nvarchar(80),
		USERID nvarchar(80) NOT NULL,
		EMAIL_FORMAT int NOT NULL DEFAULT 0,
		SUBSCRIPTION_FREQUENCY int NOT NULL DEFAULT 0,
		UID_STATUS smallint NOT NULL DEFAULT 0,
		U_LOGINID nvarchar(80) NOT NULL
	)
	
GO

CREATE TABLE RAMSCHEMA.USERRELATIONSHIP (
		ASSETID int NOT NULL,
		USERID int NOT NULL,
		KIND int NOT NULL DEFAULT 0,
		UR_RESTRICT bigint NOT NULL DEFAULT 0
	)
	
GO

CREATE TABLE RAMSCHEMA.USER_PREFERENCES (
		USERID int NOT NULL,
		PREF_KEY int NOT NULL,
		STRINGDATA nvarchar(3000),
		BINARYDATA varbinary(max),
		LAST_MODIFIED datetime NOT NULL
	)
	
GO

CREATE INDEX AR_EXTID_NDX
	ON RAMSCHEMA.ASSETRELATION_SOURCE
	(AR_EXTERNALID		ASC,
	  AR_ID		ASC)
GO

CREATE INDEX AR_SRC_ASSET_NDX
	ON RAMSCHEMA.ASSETRELATION_SOURCE
	(AR_SRC_ASSET		ASC,
	  AR_ID		ASC)
GO

CREATE INDEX ASSET_ART_LSTDIRTY
	ON RAMSCHEMA.ASSET
	(LAST_ARTIFACTS_DIRTY		ASC)
GO

CREATE INDEX ASSET_COMMUN_TYPE
	ON RAMSCHEMA.ASSET
	(RESOURCEGROUP		ASC,
	  ASSETTYPEID		ASC)
GO

CREATE INDEX ASSET_LAST_DIRTY
	ON RAMSCHEMA.ASSET
	(LAST_DIRTY		ASC)
GO

CREATE INDEX ASTVERHSTRY_ASTID
	ON RAMSCHEMA.ASSETVERSIONHISTORY
	(ASSETID		ASC)
GO

CREATE INDEX BUSY_URIS_NDX
	ON RAMSCHEMA.BUSY_URIS
	(BAU_ASSETID		ASC)
GO

CREATE INDEX CLSCHEMA_LSTMOD
	ON RAMSCHEMA.CLASSIFSCHEMA
	(LAST_MODIFIED		DESC)
GO

CREATE INDEX COMMUNITY_NDX
	ON RAMSCHEMA.LIFECYCLE
	(LC_COMMUNITYID		ASC,
	  LC_COMM_ORDER		DESC)
GO

CREATE INDEX EXT_POINT_BY_TYPE
	ON RAMSCHEMA.EXTENSION_POINT
	(TYPE		ASC)
GO

CREATE INDEX FV_USER_NDX
	ON RAMSCHEMA.FAVORITE
	(FV_USERID		ASC)
GO

CREATE INDEX JQ_SEARCH_NDX
	ON RAMSCHEMA.JOB_QUEUE
	(JQ_CATEGORY		ASC,
	  JQ_RUN_AFTER		ASC,
	  JQ_PROGRESS		ASC,
	  JQ_NUMBER		ASC)
GO

CREATE INDEX LIB_MODEL_IDX
	ON RAMSCHEMA.LIBRARY
	(L_ITEMTYPE		ASC,
	  L_DBID		ASC,
	  L_DBVCID		ASC)
GO

CREATE INDEX LIB_NDX
	ON RAMSCHEMA.LIBRARY
	(L_LIBASSETID		ASC)
GO

CREATE INDEX LIC_LICENSE_NDX
	ON RAMSCHEMA.LICENSE
	(LIC_LICENSE		ASC,
	  LIC_LAST_ALLOCATE		DESC)
GO

CREATE INDEX MASTER_NDX
	ON RAMSCHEMA.LIFECYCLE
	(LC_MASTER		ASC)
GO

CREATE INDEX METRICS_ASSET
	ON RAMSCHEMA.REPOSITORYMETRIC
	(METRICTYPE		ASC,
	  TIME_STAMP		DESC,
	  ASSETID		ASC,
	  USERID		ASC)
GO

CREATE INDEX METRIC_BY_ASSET
	ON RAMSCHEMA.REPOSITORYMETRIC
	(ASSETID		ASC,
	  METRICTYPE		ASC,
	  TIME_STAMP		DESC)
GO

CREATE INDEX POST_ATTACHMENT
	ON RAMSCHEMA.POST
	(P_ATTACHMENT		ASC)
GO

CREATE INDEX POST_REPLY
	ON RAMSCHEMA.POST
	(P_REPLY_TO		ASC)
GO

CREATE INDEX POST_TOPIC
	ON RAMSCHEMA.POST
	(P_TOPIC		ASC)
GO

CREATE INDEX PTCNF_BY_REPO
	ON RAMSCHEMA.PTCONFIG
	(PTC_REPOID		ASC)
GO

CREATE INDEX PTQF_BY_FORUM
	ON RAMSCHEMA.PTQUERY_FORUM
	(PTQF_FORUMID		ASC)
GO

CREATE INDEX PTQUERY_BY_CNF
	ON RAMSCHEMA.PTQUERY
	(PTQ_CONFIG_ID		ASC)
GO

CREATE INDEX PTREPO_BY_GRP
	ON RAMSCHEMA.PTREPO
	(PTR_GROUPID		ASC)
GO

CREATE INDEX REVIEW_ORDER
	ON RAMSCHEMA.REVIEW_PROCESS
	(GROUPID		ASC,
	  ORDER_IN_GROUP		ASC)
GO

CREATE INDEX ROLE_RESGROUPID
	ON RAMSCHEMA.REPOSITORYROLE
	(RESOURCEGROUPID		ASC)
GO

CREATE INDEX SUBSCRB_TYP_ID_FRQ
	ON RAMSCHEMA.SUBSCRIPTION
	(DBID		ASC,
	  SUBSCRIPTION_TYPE		ASC,
	  FREQUENCY		ASC)
GO

CREATE INDEX TAGS
	ON RAMSCHEMA.TAG
	(TAG		ASC,
	  CREATED		ASC)
GO

CREATE INDEX TAGS_USER
	ON RAMSCHEMA.TAG
	(USER_ID		ASC)
GO

CREATE INDEX TAG_LAST_UNIQ_NDX
	ON RAMSCHEMA.TAG_MQT
	(MQTTAG_FIRSTCREATED		DESC)
GO

CREATE INDEX TAG_LSTCRTD_NDX
	ON RAMSCHEMA.TAG_MQT
	(MQTTAG_LASTCREATED		DESC)
GO

CREATE INDEX TODO_TARGET_UGRPS
	ON RAMSCHEMA.TODO_TARGET_UGRP
	(TG_USERGROUP		ASC)
GO

CREATE INDEX TODO_TARGET_USERS
	ON RAMSCHEMA.TODO_TARGET_USER
	(TU_USERID		ASC)
GO

CREATE INDEX TOPIC_ATTACHMENT
	ON RAMSCHEMA.TOPIC
	(T_ATTACHMENT		ASC)
GO

CREATE INDEX TOPIC_FORUM
	ON RAMSCHEMA.TOPIC
	(T_FORUMID		ASC)
GO

CREATE INDEX UGRPREL_UGRP
	ON RAMSCHEMA.UGRP_RELATIONSHIP
	(USERGROUPID		ASC,
	  KIND		ASC)
GO

CREATE INDEX UG_RESGROUPID
	ON RAMSCHEMA.USERGROUP
	(RESOURCEGROUPID		ASC)
GO

CREATE INDEX UREL_UID
	ON RAMSCHEMA.USERRELATIONSHIP
	(USERID		ASC,
	  KIND		ASC)
GO

CREATE UNIQUE INDEX ART_ID_NDX
	ON RAMSCHEMA.ASSETRELATION_TARGET
	(ART_ID		ASC,
	  ART_ASSET		ASC)
GO

CREATE UNIQUE INDEX ART_TGT_ASSET_NDX
	ON RAMSCHEMA.ASSETRELATION_TARGET
	(ART_ASSET		ASC,
	  ART_ID		ASC)
GO

CREATE UNIQUE INDEX ASSETTYPE_URI_IDX
	ON RAMSCHEMA.ASSETTYPE
	(URI		ASC)
GO

CREATE UNIQUE INDEX ASSET_EXTID
	ON RAMSCHEMA.ASSET
	(EXTERNALID		ASC,
	  VERSION		ASC,
	  PENDING_CTRL_FLAG		ASC)
GO

CREATE UNIQUE INDEX FA_ASSET_FORUM_IDX
	ON RAMSCHEMA.FORUM_ASSET
	(FA_ASSET		ASC,
	  FA_FORUM		ASC)
GO

CREATE UNIQUE INDEX OAACC_KEY_USER
	ON RAMSCHEMA.OAUTH_ACCESSOR
	(CONSUMER_KEY		ASC,
	  AUTHORIZED_FOR_USER		ASC)
GO

CREATE UNIQUE INDEX OACON_FRIENDURL
	ON RAMSCHEMA.OAUTH_CONSUMER
	(FRIEND_URL		ASC)
GO

CREATE UNIQUE INDEX STATE_ID
	ON RAMSCHEMA.STATE
	(STATE_WF_ID		ASC)
GO

CREATE UNIQUE INDEX SUBSCRB_UID
	ON RAMSCHEMA.SUBSCRIPTION
	(USERID		ASC,
	  SUBSCRIPTION_TYPE		ASC,
	  DBID		ASC)
GO

CREATE UNIQUE INDEX TAGS_ASSET_TAG
	ON RAMSCHEMA.TAG
	(ASSET_ID		ASC,
	  TAG		ASC)
GO

CREATE UNIQUE INDEX UGU_UG_US_NDX
	ON RAMSCHEMA.USERGROUP_USER
	(USERGROUPID		ASC,
	  USERID		ASC)
GO

CREATE UNIQUE INDEX USER_USERID
	ON RAMSCHEMA.USERID
	(USERID		ASC)
GO

CREATE UNIQUE INDEX U_LOGINID_UNDX
	ON RAMSCHEMA.USERID
	(U_LOGINID		ASC)
GO

ALTER TABLE RAMSCHEMA.ASSET ADD CONSTRAINT SQL060302161907350 PRIMARY KEY
	(ID)
GO

ALTER TABLE RAMSCHEMA.ASSETRELATIONTYPE ADD CONSTRAINT C9171363 PRIMARY KEY
	(NAME)
GO

ALTER TABLE RAMSCHEMA.ASSETRELATIONTYPE ADD CONSTRAINT RELTYPE_DN UNIQUE
	(DISPLAY_NAME)
GO

ALTER TABLE RAMSCHEMA.ASSETRELATION_SOURCE ADD CONSTRAINT AR_PK PRIMARY KEY
	(AR_ID)
GO

ALTER TABLE RAMSCHEMA.ASSETTYPE ADD CONSTRAINT SQL060302161906150 PRIMARY KEY
	(ID)
GO

ALTER TABLE RAMSCHEMA.ASSETTYPE_COMMUN ADD CONSTRAINT ASSETTYP_COMMUN_PK PRIMARY KEY
	(ATCM_ASSETTYPEID,
	 ATCM_COMMUNID)
GO

ALTER TABLE RAMSCHEMA.ASSETVERSIONHISTORY ADD CONSTRAINT C7220450 PRIMARY KEY
	(EXTERNALID,
	 VERSION,
	 AVH_SUBMISSION)
GO

ALTER TABLE RAMSCHEMA.ATTACHMENT ADD CONSTRAINT ATTACHMENT_PK PRIMARY KEY
	(A_ID)
GO

ALTER TABLE RAMSCHEMA.AUTOKEYGEN ADD CONSTRAINT C9766869 PRIMARY KEY
	(IDENTIFIER)
GO

ALTER TABLE RAMSCHEMA.BUSY_ASSET ADD CONSTRAINT BUSY_ASSET_PK PRIMARY KEY
	(BA_ASSETID)
GO

ALTER TABLE RAMSCHEMA.CLASSIFSCHEMA ADD CONSTRAINT SQL060302161906350 PRIMARY KEY
	(URI)
GO

ALTER TABLE RAMSCHEMA.CLASSIFSCH_COMM ADD CONSTRAINT CLASSIFSCH_COMM_PK PRIMARY KEY
	(CC_SCHEMA,
	 CC_COMMUNITY)
GO

ALTER TABLE RAMSCHEMA.CONFIGURATION ADD CONSTRAINT C9628234 PRIMARY KEY
	(CONFIG_KEY)
GO

ALTER TABLE RAMSCHEMA.COUNTS ADD CONSTRAINT COUNTS_PK PRIMARY KEY
	(CNT_KEY)
GO

ALTER TABLE RAMSCHEMA.EXTENSION_POINT ADD CONSTRAINT EXTENSIONPOINT_PK PRIMARY KEY
	(ID)
GO

ALTER TABLE RAMSCHEMA.FAVORITE ADD CONSTRAINT FAVORITES_PK PRIMARY KEY
	(FV_ID)
GO

ALTER TABLE RAMSCHEMA.FORUM ADD CONSTRAINT FORUM_PK PRIMARY KEY
	(F_ID)
GO

ALTER TABLE RAMSCHEMA.FORUM_ASSET ADD CONSTRAINT FORUM_ASSET_PK PRIMARY KEY
	(FA_FORUM,
	 FA_ASSET)
GO

ALTER TABLE RAMSCHEMA.GROUPUSERROLE ADD CONSTRAINT C0012647 PRIMARY KEY
	(USERID,
	 REPOSITORYROLEID)
GO

ALTER TABLE RAMSCHEMA.JOB_QUEUE ADD CONSTRAINT JOB_QUEUE_PK PRIMARY KEY
	(JQ_CATEGORY,
	 JQ_SUBCATEGORY,
	 JQ_NUMBER)
GO

ALTER TABLE RAMSCHEMA.LIBRARY ADD CONSTRAINT LIBRARY_CK CHECK (L_DBID IS NOT NULL OR L_DBVCID IS NOT NULL)
GO

ALTER TABLE RAMSCHEMA.LICENSE ADD CONSTRAINT LICENSE_PK PRIMARY KEY
	(LIC_USER,
	 LIC_LICENSE)
GO

ALTER TABLE RAMSCHEMA.LIFECYCLE ADD CONSTRAINT LIFECYCLE_PK PRIMARY KEY
	(LC_ID)
GO

ALTER TABLE RAMSCHEMA.OAUTH_ACCESSOR ADD CONSTRAINT OAACC_PK PRIMARY KEY
	(ACCESS_TOKEN)
GO

ALTER TABLE RAMSCHEMA.OAUTH_CONSUMER ADD CONSTRAINT OACONSUMER_PK PRIMARY KEY
	(CONSUMER_KEY)
GO

ALTER TABLE RAMSCHEMA.OAUTH_REQUESTER ADD CONSTRAINT OAREQ_PK PRIMARY KEY
	(REQUEST_TOKEN)
GO

ALTER TABLE RAMSCHEMA.POST ADD CONSTRAINT POST_PK PRIMARY KEY
	(P_ID)
GO

ALTER TABLE RAMSCHEMA.PTCONFIG ADD CONSTRAINT C3648890 PRIMARY KEY
	(PTC_ID)
GO

ALTER TABLE RAMSCHEMA.PTCONFIG_UGR ADD CONSTRAINT PTCONFIG_UGR_PK PRIMARY KEY
	(PTCUG_CONFIGID,
	 PTCUG_UGRPID)
GO

ALTER TABLE RAMSCHEMA.PTCONFIG_USER ADD CONSTRAINT C6415283 PRIMARY KEY
	(PTCU_CONFIGID,
	 PTCU_USERID)
GO

ALTER TABLE RAMSCHEMA.PTQUERY ADD CONSTRAINT C0491965 PRIMARY KEY
	(PTQ_ID)
GO

ALTER TABLE RAMSCHEMA.PTQUERY_FORUM ADD CONSTRAINT PT_QUERY_FORUM_PK PRIMARY KEY
	(PTQF_QUERYID,
	 PTQF_FORUMID)
GO

ALTER TABLE RAMSCHEMA.PTREPO ADD CONSTRAINT C0201947 PRIMARY KEY
	(PTR_ID)
GO

ALTER TABLE RAMSCHEMA.REPOSITORYMETRIC ADD CONSTRAINT C4752929 PRIMARY KEY
	(ID)
GO

ALTER TABLE RAMSCHEMA.REPOSITORYROLE ADD CONSTRAINT SQL060302161905930 PRIMARY KEY
	(ID)
GO

ALTER TABLE RAMSCHEMA.RESOURCEGROUP ADD CONSTRAINT SQL060302161904960 PRIMARY KEY
	(ID)
GO

ALTER TABLE RAMSCHEMA.REVIEW_PROCESS ADD CONSTRAINT C3977115 PRIMARY KEY
	(ID)
GO

ALTER TABLE RAMSCHEMA.STALECACHE ADD CONSTRAINT C3686525 PRIMARY KEY
	(STALE_KEY)
GO

ALTER TABLE RAMSCHEMA.STATE ADD CONSTRAINT SQL060302161905260 PRIMARY KEY
	(ID)
GO

ALTER TABLE RAMSCHEMA.SUBSCRIPTION ADD CONSTRAINT C9854034 PRIMARY KEY
	(SUB_ID)
GO

ALTER TABLE RAMSCHEMA.TAG ADD CONSTRAINT C3930063 PRIMARY KEY
	(ID)
GO

ALTER TABLE RAMSCHEMA.TAG_MQT ADD CONSTRAINT TAG_MQT_PK PRIMARY KEY
	(MQTTAG_TAG)
GO

ALTER TABLE RAMSCHEMA.TODO ADD CONSTRAINT C6295873 PRIMARY KEY
	(REQUESTING_USER,
	 TYPE,
	 ACTION_LINK)
GO

ALTER TABLE RAMSCHEMA.TODO_TARGET_UGRP ADD CONSTRAINT TODO_TRGT_UGRP_PK PRIMARY KEY
	(TODO_TG_REQ_USER,
	 TODO_TG_TYPE,
	 TODO_TG_LINK,
	 TG_USERGROUP)
GO

ALTER TABLE RAMSCHEMA.TODO_TARGET_USER ADD CONSTRAINT C8444015 PRIMARY KEY
	(TODO_TU_REQ_USER,
	 TODO_TU_TYPE,
	 TODO_TU_LINK,
	 TU_USERID)
GO

ALTER TABLE RAMSCHEMA.TOPIC ADD CONSTRAINT TOPIC_PK PRIMARY KEY
	(T_ID)
GO

ALTER TABLE RAMSCHEMA.UGRP_RELATIONSHIP ADD CONSTRAINT UGR_PK PRIMARY KEY
	(ASSETID,
	 USERGROUPID,
	 KIND)
GO

ALTER TABLE RAMSCHEMA.USERGROUP ADD CONSTRAINT USERGROUP_PK PRIMARY KEY
	(ID)
GO

ALTER TABLE RAMSCHEMA.USERGROUP_ROLE ADD CONSTRAINT USERGROUPROLE_PK PRIMARY KEY
	(USERGROUPID,
	 ROLEID)
GO

ALTER TABLE RAMSCHEMA.USERGROUP_USER ADD CONSTRAINT USERGROUP_USER_PK PRIMARY KEY
	(USERID,
	 USERGROUPID)
GO

ALTER TABLE RAMSCHEMA.USERID ADD CONSTRAINT SQL060302161905480 PRIMARY KEY
	(ID)
GO

ALTER TABLE RAMSCHEMA.USERRELATIONSHIP ADD CONSTRAINT C3386788 PRIMARY KEY
	(ASSETID,
	 USERID,
	 KIND)
GO

ALTER TABLE RAMSCHEMA.USER_PREFERENCES ADD CONSTRAINT C12341234 PRIMARY KEY
	(USERID,
	 PREF_KEY)
GO

ALTER TABLE RAMSCHEMA.ASSET ADD CONSTRAINT ASSET_LIFECYCLE_FK FOREIGN KEY
	(A_LCID)
	REFERENCES RAMSCHEMA.LIFECYCLE
	(LC_ID)
GO

ALTER TABLE RAMSCHEMA.ASSET ADD CONSTRAINT C7034435 FOREIGN KEY
	(RESOURCEGROUP)
	REFERENCES RAMSCHEMA.RESOURCEGROUP
	(ID)
GO

ALTER TABLE RAMSCHEMA.ASSET ADD CONSTRAINT SQL060302161907351 FOREIGN KEY
	(ASSETTYPEID)
	REFERENCES RAMSCHEMA.ASSETTYPE
	(ID)
	ON DELETE SET NULL
GO

ALTER TABLE RAMSCHEMA.ASSET ADD CONSTRAINT SQL060302161907681 FOREIGN KEY
	(STATEID)
	REFERENCES RAMSCHEMA.STATE
	(ID)
GO

ALTER TABLE RAMSCHEMA.ASSETRELATION_SOURCE ADD CONSTRAINT AR_SRC_ASSET_FK FOREIGN KEY
	(AR_SRC_ASSET)
	REFERENCES RAMSCHEMA.ASSET
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.ASSETRELATION_SOURCE ADD CONSTRAINT AR_STATE_FK FOREIGN KEY
	(AR_STATE)
	REFERENCES RAMSCHEMA.STATE
	(ID)
GO

ALTER TABLE RAMSCHEMA.ASSETRELATION_SOURCE ADD CONSTRAINT AR_USER_FK FOREIGN KEY
	(AR_USER)
	REFERENCES RAMSCHEMA.USERID
	(ID)
GO

ALTER TABLE RAMSCHEMA.ASSETRELATION_TARGET ADD CONSTRAINT ART_SRC_REL_FK FOREIGN KEY
	(ART_ID)
	REFERENCES RAMSCHEMA.ASSETRELATION_SOURCE
	(AR_ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.ASSETTYPE_COMMUN ADD CONSTRAINT ATCM_ASSETTYPE_FK FOREIGN KEY
	(ATCM_ASSETTYPEID)
	REFERENCES RAMSCHEMA.ASSETTYPE
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.ASSETTYPE_COMMUN ADD CONSTRAINT ATCM_COMMUN_FK FOREIGN KEY
	(ATCM_COMMUNID)
	REFERENCES RAMSCHEMA.RESOURCEGROUP
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.ASSETVERSIONHISTORY ADD CONSTRAINT C1003852 FOREIGN KEY
	(ASSETID)
	REFERENCES RAMSCHEMA.ASSET
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.BUSY_URIS ADD CONSTRAINT BUSY_U_BUSY_AS_FK FOREIGN KEY
	(BAU_ASSETID)
	REFERENCES RAMSCHEMA.BUSY_ASSET
	(BA_ASSETID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.CLASSIFSCH_COMM ADD CONSTRAINT CC_COMMUNITY_FK FOREIGN KEY
	(CC_COMMUNITY)
	REFERENCES RAMSCHEMA.RESOURCEGROUP
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.CLASSIFSCH_COMM ADD CONSTRAINT CC_SCHEMA_FK FOREIGN KEY
	(CC_SCHEMA)
	REFERENCES RAMSCHEMA.CLASSIFSCHEMA
	(URI)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.EXTENSION_POINT ADD CONSTRAINT EXT_ASSET_FK FOREIGN KEY
	(EXT_ASSETID)
	REFERENCES RAMSCHEMA.ASSET
	(ID)
	ON DELETE SET NULL
GO

ALTER TABLE RAMSCHEMA.FAVORITE ADD CONSTRAINT FV_USER_FK FOREIGN KEY
	(FV_USERID)
	REFERENCES RAMSCHEMA.USERID
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.FORUM ADD CONSTRAINT FORUM_OWNER_FK FOREIGN KEY
	(F_OWNER)
	REFERENCES RAMSCHEMA.USERID
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.FORUM ADD CONSTRAINT FORUM_PTCONFIG_FK FOREIGN KEY
	(F_PT_CONFIGID)
	REFERENCES RAMSCHEMA.PTCONFIG
	(PTC_ID)
	ON DELETE SET NULL
GO

ALTER TABLE RAMSCHEMA.FORUM_ASSET ADD CONSTRAINT FORUM_ASSET_FK FOREIGN KEY
	(FA_ASSET)
	REFERENCES RAMSCHEMA.ASSET
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.FORUM_ASSET ADD CONSTRAINT FORUM_AST_FRM_FK FOREIGN KEY
	(FA_FORUM)
	REFERENCES RAMSCHEMA.FORUM
	(F_ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.GROUPUSERROLE ADD CONSTRAINT SQL060302161908450 FOREIGN KEY
	(USERID)
	REFERENCES RAMSCHEMA.USERID
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.GROUPUSERROLE ADD CONSTRAINT SQL060302161908452 FOREIGN KEY
	(REPOSITORYROLEID)
	REFERENCES RAMSCHEMA.REPOSITORYROLE
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.LIBRARY ADD CONSTRAINT L_LIBASSET_FK FOREIGN KEY
	(L_LIBASSETID)
	REFERENCES RAMSCHEMA.ASSET
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.LICENSE ADD CONSTRAINT LICENSE_USERID_FK FOREIGN KEY
	(LIC_USER)
	REFERENCES RAMSCHEMA.USERID
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.LIFECYCLE ADD CONSTRAINT LC_COMMUNITY_FK FOREIGN KEY
	(LC_COMMUNITYID)
	REFERENCES RAMSCHEMA.RESOURCEGROUP
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.LIFECYCLE ADD CONSTRAINT LC_MASTER_FK FOREIGN KEY
	(LC_MASTER)
	REFERENCES RAMSCHEMA.LIFECYCLE
	(LC_ID)
GO

ALTER TABLE RAMSCHEMA.LIFECYCLE ADD CONSTRAINT LIFECYCLE_ASSET_FK FOREIGN KEY
	(LC_ASSET)
	REFERENCES RAMSCHEMA.ASSET
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.OAUTH_ACCESSOR ADD CONSTRAINT OAACC_AUTHUSER_FK FOREIGN KEY
	(AUTHORIZED_FOR_USER)
	REFERENCES RAMSCHEMA.USERID
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.OAUTH_ACCESSOR ADD CONSTRAINT OAACC_CONSUMER_FK FOREIGN KEY
	(CONSUMER_KEY)
	REFERENCES RAMSCHEMA.OAUTH_CONSUMER
	(CONSUMER_KEY)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.OAUTH_REQUESTER ADD CONSTRAINT OAREQ_CONSUMER_FK FOREIGN KEY
	(CONSUMER_KEY)
	REFERENCES RAMSCHEMA.OAUTH_CONSUMER
	(CONSUMER_KEY)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.POST ADD CONSTRAINT POST_ATTACHMENT_FK FOREIGN KEY
	(P_ATTACHMENT)
	REFERENCES RAMSCHEMA.ATTACHMENT
	(A_ID)
	ON DELETE SET NULL
GO

ALTER TABLE RAMSCHEMA.POST ADD CONSTRAINT POST_TOPIC_FK FOREIGN KEY
	(P_TOPIC)
	REFERENCES RAMSCHEMA.TOPIC
	(T_ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.PTCONFIG ADD CONSTRAINT C7658548 FOREIGN KEY
	(PTC_REPOID)
	REFERENCES RAMSCHEMA.PTREPO
	(PTR_ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.PTCONFIG_UGR ADD CONSTRAINT PTCUG_PTCONFIG_FK FOREIGN KEY
	(PTCUG_CONFIGID)
	REFERENCES RAMSCHEMA.PTCONFIG
	(PTC_ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.PTCONFIG_UGR ADD CONSTRAINT PTCUG_USERGROUP_FK FOREIGN KEY
	(PTCUG_UGRPID)
	REFERENCES RAMSCHEMA.USERGROUP
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.PTCONFIG_USER ADD CONSTRAINT C5288775 FOREIGN KEY
	(PTCU_USERID)
	REFERENCES RAMSCHEMA.USERID
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.PTCONFIG_USER ADD CONSTRAINT C8866283 FOREIGN KEY
	(PTCU_CONFIGID)
	REFERENCES RAMSCHEMA.PTCONFIG
	(PTC_ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.PTQUERY ADD CONSTRAINT C6065876 FOREIGN KEY
	(PTQ_CONFIG_ID)
	REFERENCES RAMSCHEMA.PTCONFIG
	(PTC_ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.PTQUERY_FORUM ADD CONSTRAINT PTQF_FORUM_FK FOREIGN KEY
	(PTQF_FORUMID)
	REFERENCES RAMSCHEMA.FORUM
	(F_ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.PTQUERY_FORUM ADD CONSTRAINT PTQF_QUERY_FK FOREIGN KEY
	(PTQF_QUERYID)
	REFERENCES RAMSCHEMA.PTQUERY
	(PTQ_ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.PTREPO ADD CONSTRAINT C3934317 FOREIGN KEY
	(PTR_OWNERID)
	REFERENCES RAMSCHEMA.USERID
	(ID)
	ON DELETE SET NULL
GO

ALTER TABLE RAMSCHEMA.REPOSITORYMETRIC ADD CONSTRAINT C7264217 FOREIGN KEY
	(USERID)
	REFERENCES RAMSCHEMA.USERID
	(ID)
	ON DELETE SET NULL
GO

ALTER TABLE RAMSCHEMA.REPOSITORYMETRIC ADD CONSTRAINT SQL060302161908680 FOREIGN KEY
	(ASSETID)
	REFERENCES RAMSCHEMA.ASSET
	(ID)
GO

ALTER TABLE RAMSCHEMA.REPOSITORYROLE ADD CONSTRAINT C8818139 FOREIGN KEY
	(RESOURCEGROUPID)
	REFERENCES RAMSCHEMA.RESOURCEGROUP
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.RESOURCEGROUP ADD CONSTRAINT COMMUNITY_ASSET_FK FOREIGN KEY
	(COMMUNITY_ASSETID)
	REFERENCES RAMSCHEMA.ASSET
	(ID)
	ON DELETE SET NULL
GO

ALTER TABLE RAMSCHEMA.REVIEW_PROCESS ADD CONSTRAINT C9952475 FOREIGN KEY
	(GROUPID)
	REFERENCES RAMSCHEMA.RESOURCEGROUP
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.SUBSCRIPTION ADD CONSTRAINT C8704685 FOREIGN KEY
	(USERID)
	REFERENCES RAMSCHEMA.USERID
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.TAG ADD CONSTRAINT C5102136 FOREIGN KEY
	(ASSET_ID)
	REFERENCES RAMSCHEMA.ASSET
	(ID)
GO

ALTER TABLE RAMSCHEMA.TAG ADD CONSTRAINT C7483428 FOREIGN KEY
	(USER_ID)
	REFERENCES RAMSCHEMA.USERID
	(ID)
GO

ALTER TABLE RAMSCHEMA.TODO ADD CONSTRAINT C8990529 FOREIGN KEY
	(REQUESTING_USER)
	REFERENCES RAMSCHEMA.USERID
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.TODO_TARGET_UGRP ADD CONSTRAINT TO_UGRP_TODO_FK FOREIGN KEY
	(TODO_TG_REQ_USER,
	 TODO_TG_TYPE,
	 TODO_TG_LINK)
	REFERENCES RAMSCHEMA.TODO
	(REQUESTING_USER,
	 TYPE,
	 ACTION_LINK)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.TODO_TARGET_UGRP ADD CONSTRAINT TO_UGRP_UGRP_FK FOREIGN KEY
	(TG_USERGROUP)
	REFERENCES RAMSCHEMA.USERGROUP
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.TODO_TARGET_USER ADD CONSTRAINT C5745917 FOREIGN KEY
	(TODO_TU_REQ_USER,
	 TODO_TU_TYPE,
	 TODO_TU_LINK)
	REFERENCES RAMSCHEMA.TODO
	(REQUESTING_USER,
	 TYPE,
	 ACTION_LINK)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.TOPIC ADD CONSTRAINT TOPIC_ATTACH_FK FOREIGN KEY
	(T_ATTACHMENT)
	REFERENCES RAMSCHEMA.ATTACHMENT
	(A_ID)
	ON DELETE SET NULL
GO

ALTER TABLE RAMSCHEMA.TOPIC ADD CONSTRAINT TOPIC_FORUM_FK FOREIGN KEY
	(T_FORUMID)
	REFERENCES RAMSCHEMA.FORUM
	(F_ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.UGRP_RELATIONSHIP ADD CONSTRAINT UGR_ASSET_FK FOREIGN KEY
	(ASSETID)
	REFERENCES RAMSCHEMA.ASSET
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.UGRP_RELATIONSHIP ADD CONSTRAINT UGR_USERGROUP_FK FOREIGN KEY
	(USERGROUPID)
	REFERENCES RAMSCHEMA.USERGROUP
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.USERGROUP ADD CONSTRAINT UGR_RESGROUP_FK FOREIGN KEY
	(RESOURCEGROUPID)
	REFERENCES RAMSCHEMA.RESOURCEGROUP
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.USERGROUP_ROLE ADD CONSTRAINT UGR_UGR_FK FOREIGN KEY
	(USERGROUPID)
	REFERENCES RAMSCHEMA.USERGROUP
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.USERGROUP_USER ADD CONSTRAINT UGU_UGR_FK FOREIGN KEY
	(USERGROUPID)
	REFERENCES RAMSCHEMA.USERGROUP
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.USERGROUP_USER ADD CONSTRAINT UGU_USER_FK FOREIGN KEY
	(USERID)
	REFERENCES RAMSCHEMA.USERID
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.USERRELATIONSHIP ADD CONSTRAINT C5886019 FOREIGN KEY
	(USERID)
	REFERENCES RAMSCHEMA.USERID
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.USERRELATIONSHIP ADD CONSTRAINT C6359167 FOREIGN KEY
	(ASSETID)
	REFERENCES RAMSCHEMA.ASSET
	(ID)
	ON DELETE CASCADE
GO

ALTER TABLE RAMSCHEMA.USER_PREFERENCES ADD CONSTRAINT C4134514134 FOREIGN KEY
	(USERID)
	REFERENCES RAMSCHEMA.USERID
	(ID)
	ON DELETE CASCADE
GO

CREATE VIEW RAMSCHEMA.ASSET_RELATIONS (AR_ID, AR_TGT_RELTYPE, AR_EXTERNALID, AR_VERSION, AR_RANGETYPE, AR_SRC_ASSET, AR_USER, AR_CREATED, AR_STATE, AR_CC, AR_MODIFIED, ART_ASSET, ART_ESTABLISHED) AS
SELECT AR_ID, AR_TGT_RELTYPE, AR_EXTERNALID, AR_VERSION, AR_RANGETYPE, AR_SRC_ASSET, AR_USER, AR_CREATED, AR_STATE, AR_CC, AR_MODIFIED, ART_ASSET, ART_ESTABLISHED FROM RAMSCHEMA.ASSETRELATION_SOURCE LEFT OUTER JOIN RAMSCHEMA.ASSETRELATION_TARGET ON AR_ID = ART_ID
GO

CREATE TRIGGER RAMSCHEMA.ASSET_UPDATED_REC ON RAMSCHEMA.ASSET FOR UPDATE AS
  IF NOT UPDATE(LAST_DIRTY)
  BEGIN
    IF UPDATE(ARTIFACT_DETAILS)
    BEGIN
      UPDATE RAMSCHEMA.ASSET SET LAST_DIRTY = CURRENT_TIMESTAMP, LAST_ARTIFACTS_DIRTY = CURRENT_TIMESTAMP WHERE ID IN (SELECT ID FROM inserted)
    END
    ELSE
    BEGIN
      UPDATE RAMSCHEMA.ASSET SET LAST_DIRTY = CURRENT_TIMESTAMP WHERE ID IN (SELECT ID FROM inserted)
    END
  END
  ELSE
    IF UPDATE(ARTIFACT_DETAILS)
    BEGIN
      UPDATE RAMSCHEMA.ASSET SET LAST_ARTIFACTS_DIRTY = CURRENT_TIMESTAMP WHERE ID IN (SELECT ID FROM inserted)
    END
GO

CREATE TRIGGER RAMSCHEMA.ATCM_DELETED ON RAMSCHEMA.ASSETTYPE_COMMUN FOR DELETE AS
  DELETE FROM RAMSCHEMA.CLASSIFSCHEMA WHERE URI IN (SELECT ATCM_ATTR_CONTAINER FROM deleted WHERE ATCM_ATTR_CONTAINER IS NOT NULL) 
GO

CREATE TRIGGER RAMSCHEMA.AT_DELETE ON RAMSCHEMA.ASSETTYPE FOR DELETE AS
  DELETE FROM RAMSCHEMA.CLASSIFSCHEMA WHERE URI IN (SELECT AT_ATTR_CONTAINER FROM deleted WHERE AT_ATTR_CONTAINER IS NOT NULL) 
GO

CREATE TRIGGER RAMSCHEMA.CL_UPDATED ON RAMSCHEMA.CLASSIFSCHEMA FOR UPDATE AS
  UPDATE RAMSCHEMA.CLASSIFSCHEMA SET LAST_MODIFIED = CURRENT_TIMESTAMP WHERE URI IN (SELECT URI FROM inserted)
GO

CREATE TRIGGER RAMSCHEMA.FORUM_UPDATE ON RAMSCHEMA.FORUM FOR UPDATE AS
  IF NOT UPDATE(F_UPDATED)
  BEGIN
    UPDATE RAMSCHEMA.FORUM SET F_UPDATED = CURRENT_TIMESTAMP WHERE F_ID IN (SELECT F_ID FROM inserted)
  END
GO

CREATE TRIGGER RAMSCHEMA.FREQ_CHANGED ON RAMSCHEMA.USERID FOR UPDATE AS
  IF UPDATE(SUBSCRIPTION_FREQUENCY)
  BEGIN
    UPDATE RAMSCHEMA.SUBSCRIPTION SET FREQUENCY = SUBSCRIPTION_FREQUENCY FROM inserted INS, RAMSCHEMA.SUBSCRIPTION SUB
      WHERE  SUB.USERID = INS.ID AND SUB.FREQ_DEFAULTED IS NULL
  END
GO

CREATE TRIGGER RAMSCHEMA.FREQ_DFLT_CHANGED ON RAMSCHEMA.SUBSCRIPTION FOR INSERT, UPDATE AS
  IF UPDATE(FREQ_DEFAULTED)
  BEGIN
    BEGIN
      UPDATE RAMSCHEMA.SUBSCRIPTION SET FREQUENCY = SUBSCRIPTION_FREQUENCY FROM inserted INS, RAMSCHEMA.USERID USR 
        WHERE INS.USERID = USR.ID AND INS.FREQ_DEFAULTED IS NULL
    END
  END
GO

CREATE TRIGGER RAMSCHEMA.INSRT_SUBSCRIPTION ON RAMSCHEMA.SUBSCRIPTION FOR INSERT AS
  UPDATE RAMSCHEMA.SUBSCRIPTION SET CREATED = CURRENT_TIMESTAMP, LAST_RUN = CURRENT_TIMESTAMP WHERE SUB_ID IN (SELECT SUB_ID FROM inserted) 
GO

CREATE TRIGGER RAMSCHEMA.POST_UPDATE_REC ON RAMSCHEMA.POST FOR INSERT, UPDATE AS
  IF NOT UPDATE(P_UPDATED)
  BEGIN
    IF UPDATE(P_COLLISION)
    BEGIN
      UPDATE RAMSCHEMA.POST SET P_UPDATED = CURRENT_TIMESTAMP WHERE P_ID IN (SELECT P_ID FROM inserted)
    END
    ELSE
    BEGIN    
      UPDATE RAMSCHEMA.POST SET P_UPDATED = CURRENT_TIMESTAMP, P_COLLISION = P_COLLISION+1 WHERE P_ID IN (SELECT P_ID FROM inserted)
    END
  END
  UPDATE RAMSCHEMA.TOPIC SET T_UPDATED = CURRENT_TIMESTAMP WHERE T_ID IN (SELECT P_TOPIC FROM inserted)
GO

CREATE TRIGGER RAMSCHEMA.TOPIC_UPDATE_REC ON RAMSCHEMA.TOPIC FOR INSERT, UPDATE AS
  IF NOT UPDATE(T_UPDATED)
  BEGIN
    IF UPDATE(T_COLLISION)
    BEGIN
      UPDATE RAMSCHEMA.TOPIC SET T_UPDATED = CURRENT_TIMESTAMP WHERE T_ID IN (SELECT T_ID FROM inserted)
    END
    ELSE
    BEGIN
      UPDATE RAMSCHEMA.TOPIC SET T_UPDATED = CURRENT_TIMESTAMP, T_COLLISION = T_COLLISION+1 WHERE T_ID IN (SELECT T_ID FROM inserted)
    END
  END
  UPDATE RAMSCHEMA.FORUM SET F_UPDATED = CURRENT_TIMESTAMP WHERE F_ID IN (SELECT T_FORUMID FROM inserted)
GO

-- Trigger to simulate TODO_TARGET_USER(TU_USERID), TOPIC(T_AUTHOR), POST(P_AUTHOR) delete on cascade.

CREATE TRIGGER RAMSCHEMA.C4245457 ON RAMSCHEMA.USERID FOR DELETE AS
  DELETE FROM RAMSCHEMA.TODO_TARGET_USER WHERE TU_USERID IN (SELECT ID FROM deleted)
  DELETE FROM RAMSCHEMA.POST WHERE P_AUTHOR IN (SELECT ID FROM deleted)
  DELETE FROM RAMSCHEMA.TOPIC WHERE T_AUTHOR IN (SELECT ID FROM deleted)
GO

-- Trigger to simulate POST(P_REPLY_TO) delete on cascade.

CREATE TRIGGER RAMSCHEMA.POST_REPLY_FK ON RAMSCHEMA.POST FOR DELETE AS
  DELETE FROM RAMSCHEMA.POST WHERE P_REPLY_TO IN (SELECT P_ID FROM deleted)
GO

-- Trigger to simulate USERGROUP_ROLE(ROLEID) delete on cascade.

CREATE TRIGGER RAMSCHEMA.UGR_ROLE_FK ON RAMSCHEMA.REPOSITORYROLE FOR DELETE AS
  DELETE FROM RAMSCHEMA.USERGROUP_ROLE WHERE ROLEID IN (SELECT ID FROM deleted)
GO

-- Trigger to simulate PTREPO(PTR_GROUPID) delete on cascade.

CREATE TRIGGER RAMSCHEMA.C0062924 ON RAMSCHEMA.RESOURCEGROUP FOR DELETE AS
  DELETE FROM RAMSCHEMA.PTREPO WHERE PTR_GROUPID IN (SELECT ID FROM deleted)
GO
							
-- Trigger to simulate ASSETRELATION_TARGET(ART_ASSET) delete on cascade.

CREATE TRIGGER RAMSCHEMA.ART_TGT_ASSET_FK ON RAMSCHEMA.ASSET FOR DELETE AS
  DELETE FROM RAMSCHEMA.ASSETRELATION_TARGET WHERE ART_ASSET IN (SELECT ID FROM deleted)
GO

-- Trigger to update the last modified timestamp of the ASSETRELATION_SOURCE when it is updated.

CREATE TRIGGER RAMSCHEMA.ASSETREL_UPDATED ON RAMSCHEMA.ASSETRELATION_SOURCE FOR UPDATE AS
  IF NOT UPDATE(AR_MODIFIED)
  BEGIN
    UPDATE RAMSCHEMA.ASSETRELATION_SOURCE SET AR_MODIFIED = CURRENT_TIMESTAMP WHERE AR_ID IN (SELECT AR_ID FROM inserted)
  END
GO

-- Now the triggers that are restructured from the other databases and required specialized multiple triggers.

CREATE TRIGGER RAMSCHEMA.TOPIC_DELETE ON RAMSCHEMA.TOPIC FOR DELETE AS
  IF (SELECT COUNT_BIG(T_ATTACHMENT) FROM deleted) > 0
  BEGIN
    RAISERROR ('Cannot delete topic while there is an attachment.', 16, 1)
    ROLLBACK TRANSACTION  
  END
  ELSE
  BEGIN
    UPDATE RAMSCHEMA.FORUM SET F_UPDATED = CURRENT_TIMESTAMP WHERE F_ID IN (SELECT T_FORUMID FROM deleted)
  END
GO

CREATE TRIGGER RAMSCHEMA.POST_DELETE ON RAMSCHEMA.POST FOR DELETE AS
  IF (SELECT COUNT_BIG(P_ATTACHMENT) FROM deleted) > 0
  BEGIN
    RAISERROR ('Cannot delete post while there is an attachment.', 16, 1)
    ROLLBACK TRANSACTION  
  END
  ELSE
  BEGIN
    UPDATE RAMSCHEMA.TOPIC SET T_UPDATED = CURRENT_TIMESTAMP WHERE T_ID IN (SELECT P_TOPIC FROM deleted)
  END
GO

CREATE TRIGGER RAMSCHEMA.LIC_COUNTS_ADD ON RAMSCHEMA.LICENSE FOR INSERT AS
	UPDATE RAMSCHEMA.COUNTS SET CNT_VALUE=CNT_VALUE + INSSUM.SUM
		FROM RAMSCHEMA.COUNTS AS CNT, 
			(SELECT COUNT(*) AS SUM, LIC_LICENSE FROM inserted GROUP BY LIC_LICENSE) AS INSSUM
		WHERE CNT.CNT_KEY = 'lic.'+INSSUM.LIC_LICENSE
GO

CREATE TRIGGER RAMSCHEMA.LIC_COUNTS_REMOVE ON RAMSCHEMA.LICENSE FOR DELETE AS
	UPDATE RAMSCHEMA.COUNTS SET CNT_VALUE=CNT_VALUE - DELSUM.SUM
		FROM RAMSCHEMA.COUNTS AS CNT, 
			(SELECT COUNT(*) AS SUM, LIC_LICENSE FROM deleted GROUP BY LIC_LICENSE) AS DELSUM
		WHERE CNT.CNT_KEY = 'lic.'+DELSUM.LIC_LICENSE
GO	

