@echo off
IF %1_X == ?_X GOTO showparams

if not exist dbcreate.sql goto no_dbcreate
if not exist RAMSCHEMA_DB2.sql goto no_RAMSCHEMA_DB2
if not exist bootStrap_DB2.sql goto no_bootStrap_DB2

SET DB=RAMDB
SET DB2LOCATION=C:\Program Files\IBM\SQLLIB

SET /P DB=Enter the name of the database: [RAMDB]
SET /P DB2LOCATION=Enter the install location of DB2: [C:\Program Files\IBM\SQLLIB]

IF %1_X == force_X goto drop

:create
echo.
echo Creating Database %DB%...
echo.
"%DB2LOCATION%\bin\db2cmd.exe" /c /w /i db2 CREATE DATABASE %DB% AUTOMATIC STORAGE YES USING CODESET UTF-8 TERRITORY US > output.log

echo.
echo Creating tablespaces spaces for %DB%...
echo.

"%DB2LOCATION%\bin\db2batch.exe" -d %DB% -f dbcreate.sql >> output.log  2>&1
"%DB2LOCATION%\bin\db2batch.exe" -d %DB% -f RAMSCHEMA_DB2.sql >> output.log 2>&1
"%DB2LOCATION%\bin\db2batch.exe" -d %DB% -f bootStrap_DB2.sql >> output.log 2>&1

echo.
echo View output.log for the results.
echo.
goto end

:no_dbcreate
echo.
echo Error : Missing required file dbcreate.sql
echo.
goto end

:no_RAMSCHEMA_DB2
echo.
echo Error : Missing required file RAMSCHEMA_DB2.sql
echo.
goto end

:no_bootStrap_DB2
echo.
echo Error : Missing required file bootStrap_DB2.sql
echo.
goto end


:drop
echo.
echo Dropping Database %DB% if it exists...
echo.
"%DB2LOCATION%\bin\db2cmd.exe" /c /w /i db2 DROP DATABASE %DB% > output.log
goto create

:showparams
ECHO -----------------------------------------
ECHO . Usage is
ECHO .    dbcreate_populate.bat force
ECHO .
ECHO .    force - (Optional) If passed in then this will Drop the existing database,
ECHO .            if it exists. If this is not passed in then
ECHO .            if the database already exists then this won't do anything.
echo . 
ECHO -----------------------------------------
:end